From 4fcc8b7187ef960ee4358417b88e18a7bdf7df76 Mon Sep 17 00:00:00 2001
From: Nicolas Frattaroli <frattaroli.nicolas@gmail.com>
Date: Thu, 23 Feb 2023 19:48:45 +0100
Subject: [PATCH] fix(build): Don't use --fatal-warnings

--fatal-warnings, -Werror, and friends are fine to use in your CI
pipeline, but not in public default behaviour of build systems that
you expect people to actually use. This is because new toolchains
add new warnings, build breaks, nobody in the project notices because
they use some fucking gcc 4.5 toolchain from linaro, and nobody
actually sane can build the project anymore.

Signed-off-by: Nicolas Frattaroli <frattaroli.nicolas@gmail.com>
---
 Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Makefile b/Makefile
index 2376b9acc..d950763ba 100644
--- a/Makefile
+++ b/Makefile
@@ -408,7 +408,7 @@ TF_LDFLAGS		+=	$(TF_LDFLAGS_$(ARCH))
 # LD = gcc (used when GCC LTO is enabled)
 else ifneq ($(findstring gcc,$(notdir $(LD))),)
 # Pass ld options with Wl or Xlinker switches
-TF_LDFLAGS		+=	-Wl,--fatal-warnings -O1
+TF_LDFLAGS		+=	-O1
 TF_LDFLAGS		+=	-Wl,--gc-sections
 ifeq ($(ENABLE_LTO),1)
 	ifeq (${ARCH},aarch64)
@@ -425,7 +425,7 @@ TF_LDFLAGS		+=	$(subst --,-Xlinker --,$(TF_LDFLAGS_$(ARCH)))
 
 # LD = gcc-ld (ld) or llvm-ld (ld.lld) or other
 else
-TF_LDFLAGS		+=	--fatal-warnings -O1
+TF_LDFLAGS		+=	-O1
 TF_LDFLAGS		+=	--gc-sections
 # ld.lld doesn't recognize the errata flags,
 # therefore don't add those in that case
-- 
2.39.2

